Name:		zeal
Version:	0.3.1
Release:	%mkrel 1
Summary:	Offline API documentation browser
License:	GPLv3+
Group:		Development/Tools
URL:		https://zealdocs.org
Source0:	https://github.com/zealdocs/zeal/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	zeal.1

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(xcb-keysyms)

Requires:	qtbase5-database-plugin-sqlite

%description
Zeal is a simple offline API documentation browser inspired by Dash
(OS X app), available for Linux and Windows.
 * Quickly search documentation using Alt+Space (or customised)
   hotkey to display Zeal from any place in your workspace.
 * Search in multiple sets of documentation at once.
 * Don't be dependent on your internet connection.
 * Integrate Zeal with Emacs, Sublime Text, or Vim. See Usage »
   Editor plugins for details.

%prep
%setup -q

%build
%qmake_qt5 %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# install manpage from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Oct 10 2016 daviddavid <daviddavid> 0.3.1-1.mga6
+ Revision: 1059900
- new version: 0.3.1

* Sun Sep 25 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 1055968
- new version: 0.3.0

* Sat Jan 16 2016 daviddavid <daviddavid> 0.2.1-1.mga6
+ Revision: 924742
- initial package zeal

